## calf 0.90.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

project(calf)
string(TOUPPER "${CMAKE_PROJECT_NAME}" PROJECT_NAME_UCASE)

set(PROJECT_YEAR 2023)
set(PROJECT_AUTHOR      "${PROJECT_NAME_UCASE} Developers")
set(PROJECT_URL         "https://calf-studio-gear.org/")
set(PROJECT_DESCRIPTION "${PROJECT_NAME_UCASE} Studio Gear")
set(PROJECT_COPYRIGHT   "2007-${PROJECT_YEAR} ${PROJECT_AUTHOR}")
set(VERSION_MAJOR       "0")
set(VERSION_MINOR       "90")
set(VERSION_RELEASE     "5")
set(VERSION_STAGE       "alpha")
set(VERSION_BUILD       "")
set(VERSION             "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")

configure_file("${CMAKE_SOURCE_DIR}/COPYING" "${CMAKE_BINARY_DIR}/COPYING.txt" COPYONLY)

#
# CPack
#

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY           "${PROJECT_DESCRIPTION}")
SET(CPACK_PACKAGE_VENDOR                        "${PROJECT_AUTHOR}")
SET(CPACK_PACKAGE_DESCRIPTION_FILE              "${CMAKE_SOURCE_DIR}/README.md")
SET(CPACK_RESOURCE_FILE_LICENSE                 "${CMAKE_BINARY_DIR}/COPYING.txt")
SET(CPACK_PACKAGE_VERSION_MAJOR                 "${VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR                 "${VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH                 "${VERSION_RELEASE}")
IF(VERSION_STAGE)
        SET(CPACK_PACKAGE_VERSION_PATCH         "${CPACK_PACKAGE_VERSION_PATCH}-${VERSION_STAGE}")
ENDIF()
IF(VERSION_BUILD)
        SET(CPACK_PACKAGE_VERSION_PATCH         "${CPACK_PACKAGE_VERSION_PATCH}-${VERSION_BUILD}")
ENDIF()
SET(CPACK_SOURCE_GENERATOR                      "TBZ2")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME              "${CMAKE_PROJECT_NAME}-${VERSION}")
set(CPACK_SOURCE_IGNORE_FILES                   "/build;/\.github;/\.git/;/\.gitignore;/\.svnignore;/autogen\.sh;/configure\.ac;/Makefile\.am;${CPACK_SOURCE_IGNORE_FILES}")
SET(CPACK_PACKAGE_EXECUTABLES           "${CMAKE_PROJECT_NAME}jackhost" "${PROJECT_NAME_UCASE} binary")
# Disable strip for Debug|RelWithDebInfo
if(CMAKE_BUILD_TYPE MATCHES "Deb")
	unset(CPACK_STRIP_FILES)
else()
	set(CPACK_STRIP_FILES TRUE)
endif()

INCLUDE(CPack)

#
# Options
#

option(WANT_GUI         "Include Graphical User Interface" ON)
option(WANT_JACK        "Include JACK (Jack Audio Connection Kit) support" ON)
option(WANT_LASH        "Include LASH (LASH Audio Session Handler) support" ON)
option(WANT_DEBUG       "Create debug build" OFF)
option(WANT_LV2         "Build Lv2 wrapper" ON)
option(WANT_LV2_GUI     "GUI executable will be used for LV2" ON)
option(WANT_SORDI       "Use the sordi tool to check Lv2 files" ON)
option(WANT_EXPERIMENTAL "Enable experimental effects" OFF)

#
# Configuration
#

if(CMAKE_BUILD_TYPE STREQUAL "")
    SET(CMAKE_BUILD_TYPE "Release")
endif()

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

find_package(PkgConfig REQUIRED)
find_package(Threads REQUIRED)
find_package(EXPAT REQUIRED)

if(WANT_GUI)
    if(PKG_CONFIG_FOUND)
        pkg_check_modules(GTK gtk+-2.0>=2.12.0 cairo>=1.2.0)
    endif()
    find_package(FluidSynth REQUIRED)
    if(GTK_FOUND AND FluidSynth_FOUND)
        include_directories(${GTK_INCLUDE_DIRS})
        set(USE_GUI TRUE)
        set(STATUS_GUI "OK")
    elseif(NOT GTK_FOUND)
        set(STATUS_GUI "not found - (GTK+ 2.12 and cairo 1.2 or newer required)")
    elseif(NOT FluidSynth_FOUND)
        set(STATUS_GUI "not found - (FLUIDSYNTH required)")
    endif()
else()
    set(STATUS_GUI "not built as requested")
endif()

if(WANT_JACK)
    if(PKG_CONFIG_FOUND)
        pkg_check_modules(JACK jack>=0.77)
    endif()
    if(JACK_FOUND)
        set(USE_JACK TRUE)
        if(JACK_VERSION VERSION_GREATER_EQUAL "0.105.0")
            set(OLD_JACK FALSE)
        else()
            set(OLD_JACK TRUE)
        endif()
        if(JACK_VERSION VERSION_GREATER_EQUAL "0.124.0")
            set(JACK_HAS_RENAME TRUE)
        else()
            set(JACK_HAS_RENAME FALSE)
        endif()
        set(STATUS_JACK "OK")
    else()
        set(STATUS_JACK "not found, install it or set PKG_CONFIG_PATH appropriately")
    endif()
else()
    set(STATUS_JACK "not built as requested")
endif()

if(WANT_LASH)
    if(PKG_CONFIG_FOUND)
        pkg_search_module(LASH lash-1.0)
    endif()
    if(LASH_FOUND)
        include_directories(${LASH_INCLUDE_DIRS})
        add_definitions(-DLASH=1)
        list(APPEND AUDIO_LIBRARIES ${LASH_LIBRARIES})
        list(APPEND AUDIO_LIBRARY_DIRS ${LASH_LIBRARY_DIRS})

        if(LASH_VERSION VERSION_GREATER_EQUAL "0.6")
            set(USE_LASH_0_6 TRUE)
        else()
            set(USE_LASH_0_6 FALSE)
        endif()
        set(STATUS_LASH "OK")
    else()
        set(STATUS_LASH "not found, install it or set PKG_CONFIG_PATH appropriately")
    endif()
    # mark_as_advanced(LASH_LIBRARIES)
else()
    set(STATUS_LASH "not built as requested")
endif()

if(WANT_LV2)
    if(PKG_CONFIG_FOUND)
        pkg_check_modules(LV2 lv2)
    endif()
    if(NOT LV2_FOUND)
        unset(LV2_FOUND CACHE)
        find_package(LV2 CONFIG)
    endif()
    if(LV2_FOUND)
        set(USE_LV2 TRUE)
        set(STATUS_LV2 "OK")
    else()
        set(STATUS_LV2 "not found, install it or set PKG_CONFIG_PATH appropriately")
    endif()
else()
    set(STATUS_LV2 "not built, as requested")
endif()

if(WANT_LV2_GUI)
    if(USE_LV2 AND USE_GUI)
        set(USE_LV2_GUI TRUE)
        set(STATUS_LV2_GUI "OK")
    elseif(USE_LV2 AND NOT USE_GUI)
        set(STATUS_LV2_GUI "not build, because no GUI support")
    elseif(NOT USE_LV2 AND USE_GUI)
        set(STATUS_LV2_GUI "not build, because no Lv2 support")
    else(NOT USE_LV2 AND USE_GUI)
        set(STATUS_LV2_GUI "not build, because no GUI and no Lv2 support")
    endif()
else()
    set(STATUS_LV2_GUI "not built, as requested")
endif()

if(WANT_SORDI)
    find_program(SORDI NAMES sordi)
    if(SORDI)
        set(USE_SORDI TRUE)
        set(STATUS_SORDI "OK")
    else()
        set(STATUS_SORDI "not found")
    endif()
else()
    set(STATUS_LV2_SORDI "not run, as requested")
endif()

if(WANT_EXPERIMENTAL)
    set(STATUS_EXPERIMENTAL "OK")
    set(ENABLE_EXPERIMENTAL TRUE)
else()
    set(STATUS_EXPERIMENTAL "not built, as requested")
endif()

configure_file(config.h.cmake.in config.h)
include_directories(${CMAKE_BINARY_DIR})

#
# Compile & Install
#

add_subdirectory(src)
add_subdirectory(gui)
add_subdirectory(icons)

#
# Install targets (except src)
#

install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/
        DESTINATION share/doc/${PROJECT_NAME} FILES_MATCHING PATTERN "*.html")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/
        DESTINATION share/doc/${PROJECT_NAME}/images FILES_MATCHING PATTERN "*.png")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/
        DESTINATION share/doc/${PROJECT_NAME}/images FILES_MATCHING PATTERN "*.jpg")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/prettyPhoto/dark_rounded/
        DESTINATION share/doc/${PROJECT_NAME}/images/prettyPhoto/dark_rounded)
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/icons/
        DESTINATION share/doc/${PROJECT_NAME}/images/icons)
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/scripts
        DESTINATION share/doc/${PROJECT_NAME} FILES_MATCHING PATTERN "*.css")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/scripts/
        DESTINATION share/doc/${PROJECT_NAME}/scripts FILES_MATCHING PATTERN "*.js")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/sf2/
        DESTINATION share/${PROJECT_NAME}/sf2 FILES_MATCHING PATTERN "*.sf2")

#
# Status
#

message(
    "\n"
    "Summary\n"
    "-------\n"
    "* Build product           : ${PROJECT_NAME} ${VERSION}\n")
if(CMAKE_BUILD_TYPE)
    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
        set(BUILD_TYPE_HINT " (WARNING: VERY SLOW!)")
    endif()
    message("* Build type              : ${CMAKE_BUILD_TYPE}${BUILD_TYPE_HINT}\n")
endif()
message(
    "* Install Prefix          : ${CMAKE_INSTALL_PREFIX}\n"
    "* Jack                    : ${STATUS_JACK}\n"
    "* LASH                    : ${STATUS_LASH}\n"
    "* GUI                     : ${STATUS_GUI}\n"
    "* LV2                     : ${STATUS_LV2}\n"
    "* LV2 GUI                 : ${STATUS_LV2_GUI}\n"
    "* Sordi sanity checks     : ${STATUS_SORDI}\n"
    "* Experimental plugins    : ${STATUS_EXPERIMENTAL}\n"
)

=== icons/CMakeLists.txt ===
set(SIZES 16x16 22x22 24x24 32x32 48x48 64x64 128x128 256x256)

foreach(size ${SIZES})
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}_${size}.png"
        DESTINATION "share/icons/hicolor/${size}/apps/"
        RENAME "${PROJECT_NAME}.png")
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}_plugin_${size}.png"
        DESTINATION "share/icons/hicolor/${size}/apps/"
        RENAME "${PROJECT_NAME}_plugin.png")
endforeach()

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}_scalable.svg"
        DESTINATION "share/icons/hicolor/scalable/apps/"
        RENAME "${PROJECT_NAME}.svg")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}_plugin_scalable.svg"
        DESTINATION "share/icons/hicolor/scalable/apps/"
        RENAME "${PROJECT_NAME}_plugin.svg")

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    install(CODE "execute_process(COMMAND gtk-update-icon-cache -f -t \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/share/icons/hicolor\")")
endif()

=== src/CMakeLists.txt ===
#
# General compile options
#

include(CheckLinkerFlag)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
add_compile_options(-ffast-math -finline-limit=80 -finline-functions -finline-functions-called-once)
if(MSVC)
    add_compile_definitions(_USE_MATH_DEFINES)
endif()

#
# libcalf.a
#
if(MSVC)
    add_library(${PROJECT_NAME} STATIC audio_fx.cpp analyzer.cpp lv2wrap.cpp metadata.cpp modules_tools.cpp modules_delay.cpp modules_comp.cpp modules_limit.cpp modules_dist.cpp modules_filter.cpp modules_mod.cpp modules_pitch.cpp fluidsynth.cpp giface.cpp monosynth.cpp organ.cpp osctl.cpp plugin.cpp preset.cpp synth.cpp utils.cpp wavetable.cpp modmatrix.cpp pffft.c shaping_clipper.cpp)
else()
    add_library(${PROJECT_NAME} SHARED audio_fx.cpp analyzer.cpp lv2wrap.cpp metadata.cpp modules_tools.cpp modules_delay.cpp modules_comp.cpp modules_limit.cpp modules_dist.cpp modules_filter.cpp modules_mod.cpp modules_pitch.cpp fluidsynth.cpp giface.cpp monosynth.cpp organ.cpp osctl.cpp plugin.cpp preset.cpp synth.cpp utils.cpp wavetable.cpp modmatrix.cpp pffft.c shaping_clipper.cpp)
endif()

target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})

target_include_directories(${PROJECT_NAME} PRIVATE ${EXPAT_INCLUDE_DIRS} ${FluidSynth_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} PUBLIC Threads::Threads ${EXPAT_LIBRARIES} fluidsynth)

if(USE_GUI)
    target_include_directories(${PROJECT_NAME} PRIVATE ${GTK_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${GTK_LIBRARIES})
endif()

if(USE_JACK)
    target_include_directories(${PROJECT_NAME} PRIVATE ${JACK_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${JACK_LIBRARIES})
endif()

if(USE_LASH)
    target_include_directories(${PROJECT_NAME} PRIVATE ${LASH_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${LASH_LIBRARIES})
endif()

if(USE_LV2)
    target_include_directories(${PROJECT_NAME} PRIVATE ${LV2_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${LV2_LIBRARIES})
endif()

#
# UIs
#

if(USE_GUI)
    add_library(${PROJECT_NAME}gui ctl_curve.cpp ctl_keyboard.cpp ctl_knob.cpp ctl_led.cpp ctl_tube.cpp ctl_vumeter.cpp ctl_frame.cpp ctl_fader.cpp ctl_buttons.cpp ctl_notebook.cpp ctl_meterscale.cpp ctl_combobox.cpp ctl_tuner.cpp ctl_phasegraph.cpp ctl_pattern.cpp gui.cpp gui_config.cpp gui_controls.cpp osctl.cpp plugin_gui_window.cpp preset_gui.cpp utils.cpp ctl_linegraph.cpp drawingutils.cpp)
    target_include_directories(${PROJECT_NAME}gui PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
    target_link_libraries(${PROJECT_NAME}gui PRIVATE Threads::Threads ${GTK_LIBRARIES} fluidsynth)
endif()


if(USE_LV2 AND USE_GUI)
    set(LV2DIR "${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2")
    add_library(${PROJECT_NAME}lv2gui SHARED gui.cpp gui_config.cpp gui_controls.cpp ctl_curve.cpp ctl_keyboard.cpp ctl_knob.cpp ctl_led.cpp ctl_tube.cpp ctl_vumeter.cpp ctl_frame.cpp ctl_fader.cpp ctl_buttons.cpp ctl_notebook.cpp ctl_meterscale.cpp ctl_combobox.cpp ctl_tuner.cpp ctl_phasegraph.cpp ctl_pattern.cpp metadata.cpp giface.cpp plugin_gui_window.cpp preset.cpp preset_gui.cpp lv2gui.cpp osctl.cpp utils.cpp ctl_linegraph.cpp drawingutils.cpp)
    target_include_directories(${PROJECT_NAME}lv2gui PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
    check_linker_flag(CXX -Wl,-z,nodelete LINKER_SUPPORTS_NODELETE)
    if (LINKER_SUPPORTS_NODELETE)
        target_link_options(${PROJECT_NAME}lv2gui PRIVATE -Wl,-z,nodelete)
    endif()
    target_link_libraries(${PROJECT_NAME}lv2gui PRIVATE Threads::Threads ${GTK_LIBRARIES} ${EXPAT_LIBRARIES} fluidsynth)
    set_target_properties(${PROJECT_NAME} PROPERTIES
        INSTALL_RPATH "${LV2DIR}"
        BUILD_WITH_INSTALL_RPATH TRUE
    )
endif()

#
# calfjackhost
#
if(USE_GUI AND USE_JACK)
    add_executable(${PROJECT_NAME}jackhost gtk_session_env.cpp host_session.cpp jack_client.cpp jackhost.cpp gtk_main_win.cpp connector.cpp session_mgr.cpp)
    
    target_include_directories(${PROJECT_NAME}jackhost PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
    target_link_libraries(${PROJECT_NAME}jackhost PRIVATE Threads::Threads ${PROJECT_NAME}gui ${PROJECT_NAME} ${JACK_LIBRARIES} ${GTK_LIBRARIES} fluidsynth)
    
    set_target_properties(${PROJECT_NAME}jackhost PROPERTIES
        INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}"
        BUILD_WITH_INSTALL_RPATH TRUE
    )
endif()

#
# calfmakerdf
#

if(MSVC)
    add_executable(${PROJECT_NAME}makerdf makerdf.cpp getopt_windows.cpp)
else()
    add_executable(${PROJECT_NAME}makerdf makerdf.cpp)
endif()
target_include_directories(${PROJECT_NAME}makerdf PRIVATE ${CMAKE_CURRENT_SOURCE_DIR} ${EXPAT_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME}makerdf PRIVATE ${PROJECT_NAME} Threads::Threads ${EXPAT_LIBRARIES} fluidsynth)

#
# install
#

install(FILES ${CMAKE_SOURCE_DIR}/presets.xml
        DESTINATION share/${PROJECT_NAME}/)

if(USE_GUI)
    install(FILES ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}-gui.xml
            DESTINATION share/${PROJECT_NAME}/)
    if(USE_JACK)
        install(TARGETS ${PROJECT_NAME}jackhost DESTINATION bin)
    endif()
endif()

# Install libs
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION lib/${PROJECT_NAME})
if(USE_GUI)
    install(TARGETS ${PROJECT_NAME}lv2gui DESTINATION lib/${PROJECT_NAME})
endif()

if(USE_LV2)
    # Create Lv2 install dir
    install(CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E make_directory \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2\")"
            RESULT_VARIABLE calfResult)
    if(NOT ${calfResult} EQUAL 0)
        message(FATAL_ERROR "Could not create ${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/")
    endif()
    # Create symlinks from Lv2 install dir to libs
    install(CODE "execute_process( \
        COMMAND \"${CMAKE_COMMAND}\" -E create_symlink \
	\"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}/lib${PROJECT_NAME}.so\" \
	\"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/${PROJECT_NAME}.so\" \
        )"
        RESULT_VARIABLE calfResult
    )
    if(NOT ${calfResult} EQUAL 0)
        message(FATAL_ERROR "Could not create ${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/${PROJECT_NAME}.so")
    endif()
    if(USE_GUI)
        install(CODE "execute_process( \
            COMMAND \"${CMAKE_COMMAND}\" -E create_symlink \
            \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}/lib${PROJECT_NAME}lv2gui.so\" \
            \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/${PROJECT_NAME}lv2gui.so\" \
            )"
            RESULT_VARIABLE calfResult
        )
        if(NOT ${calfResult} EQUAL 0)
            message(FATAL_ERROR "Could not create ${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/${PROJECT_NAME}lv2gui.so")
        endif()
    endif()

    # Remove previous .ttl files
    file(GLOB ttl_files "${CMAKE_INSTALL_PREFIX}/lib/lv2/*.ttl")
    foreach(ttl_file ${ttl_files})
        file(REMOVE "${ttl_file}")
    endforeach()

    # Install new .ttl files
    install(CODE "execute_process(COMMAND \"${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}makerdf\" -m ttl -p \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2\" -d \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/\")")

    # Check files with "sordi"
    if(USE_SORDI)
        file(GLOB ttl_files "${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/*.ttl")
        foreach(ttl_file ${ttl_files})
            install(
                CODE "execute_process(COMMAND \"${SORDI}\" -o turtle \"${ttl_file}\")"
                RESULT_VARIABLE result
                OUTPUT_VARIABLE nothing
                )
            if(NOT ${result} EQUAL 0)
                message(FATAL_ERROR "Sordi failed for ${ttl_file}")
            endif()
        endforeach()
    endif()
endif()

## calf 0.0.18.5

=== debian/changelog ===
calf (0.0.18.5-1) unstable; urgency=low

  * Initial release (Closes: #522151)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Feb 2010 21:27:47 +0100

=== debian/control ===
Source: calf
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>, Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs, autotools-dev, devscripts (>= 2.10.7), debhelper (>= 6), dh-buildinfo, libglib2.0-dev, libgtk2.0-dev (>= 2.8), libglade2-dev (>= 2.4), libreadline-dev, libexpat1-dev, libasound2-dev [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc], ladspa-sdk, dssi-dev, libjack-dev (>= 0.103.0), liblash-dev (>= 0.5.2), lv2core, devscripts
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://calf.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/calf.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/calf.git;a=summary

Package: calf-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: pack of audio plugins - effects and instruments
 The Calf project aims at providing a set of high quality open source 
 audio plugins for musicians. All the included plugins are designed to 
 be used with multitrack software, as software replacement for 
 instruments and guitar stomp boxes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009 Adrian Knoth <adi@drcomp.erfurt.thur.de>
# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for calf
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

ifneq (,$(DEB_MAINTAINER_MODE))
  # Enable stuff not policy compliant (eg. unsuitable for build daemons)
  DEB_COPYRIGHT_CHECK_STRICT = yes
  DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes
endif
include debian/cdbs/1/rules/upstream-tarball.mk
include debian/cdbs/1/rules/copyright-check.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/1/rules/buildinfo.mk

DEB_UPSTREAM_URL = http://downloads.sourceforge.net/calf

# Avoid useless linking
LDFLAGS += -Wl,--as-needed

# put aside upstream-shipped temp files during build but after copyright-check
upstreamtmpfiles = calf.desktop
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file ] || [ -e $$file.upstream ] || mv $$file $$file.upstream; \
	done
	touch $@
clean::
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
	done
	rm -f debian/stamp-upstreamtmpstuff

# Needed by upstream build process
#  * ALSA is optional upstream and only available on some archs
#    (potentially varying, so we resolve list in maintainer builds)
#  * libjack-dev 0.105 recommended (better MIDI) but not required
CDBS_BUILD_DEPENDS += , libglib2.0-dev, libgtk2.0-dev (>= 2.8), libglade2-dev (>= 2.4), libreadline-dev, libexpat1-dev
CDBS_BUILD_DEPENDS += , libasound2-dev [`sh debian/pkgarchs.sh libasound2-dev`]
CDBS_BUILD_DEPENDS += , ladspa-sdk, dssi-dev, libjack-dev (>= 0.103.0), liblash-dev (>= 0.5.2), lv2core

# Needed for our packaging
#  * devscript needed by pkgarchs.sh (only really needed for maintainer
#    builds, but adding always as it won't hurt and avoids confusion)
CDBS_BUILD_DEPENDS += , devscripts

# Resolve, cleanup and apply CDBS-declared dependencies
include debian/cdbs/1/rules/package-relations.mk

=== debian/watch ===
version=3

http://sf.net/calf/calf-([\d\.]+)\.tar\.gz

## calf 0.0.18.6

=== debian/changelog ===
calf (0.0.18.6-5ubuntu1) quantal; urgency=low

  * Build depend on libtool to fix build failure.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Sep 2012 20:55:07 +0200

calf (0.0.18.6-5) unstable; urgency=low

  * Team upload.
  * Migrate from lv2core to lv2-dev.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 May 2012 22:17:38 +0200

calf (0.0.18.6-4) unstable; urgency=low

  [ Alessio Treglia ]
  * Add patch 0001 to migrate from libglade2 to gtkBuilder.
    Stop build-depending on libglade2-dev.

  [ Jonas Smedegaard ]
  * Bump debhelper compat level to 7.
  * Bump standards-version to 3.9.3.
  * Git-ignore .pc quilt subdir.
  * Use linux-any wildcard for libasound dependency.
    Stop build-depending on devscripts.
  * Relax to build-depend unversioned on libgtk2.0-dev, debhelper and
    libjack-dev: Required versions satisfied even in oldstable.
  * Extend my copyright for Debian packaging.
  * Rewrite copyright file using format 1.0.
  * Add patch 1001 to fix FTBFS with gcc 4.7 by including <unistd.h>.
    Closes: bug#667126. Thanks to Cyril Brulebois.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Apr 2012 12:04:07 +0200

calf (0.0.18.6-3) unstable; urgency=low

  * Team upload.

  [ Jonas Smedegaard ]
  * Adjust copyright file:
    + Extend some years.
    + Fix mention licensing exception in Files stanzas.
    + Fix use Expat as licensing short-name.
  * Suppress optional CDBS-resolved build-dependencies.

  [ Alessio Treglia ]
  * Drop LASH support.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 May 2011 08:49:06 +0200

calf (0.0.18.6-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Tidy copyright file: Adjust a few stanzas and declare it formatted
    according to draft DEP5 rev135.
  * Fix add a missed owner to copyright file (no new licenses).
  * Drop local CDBS snippets and locally declared DEB_MAINTAINER_MODE:
    All part of main CDBS now.
  * Refer to FSF website (not postal address) in rules file header.
  * Fix ALSA build-dependency auto-resolving (CDBS no longer horribly
    executes control.in file as a shell script).
  * Improve watch file: Add usage comment; relax pattern to non-digit
    versions and non-gzip tarball compression.
  * Fix DEP5 synatx of copyright file: append ./ in all files sections.
  * Improve copyright file: Refer to FSF website (not postal address),
    and put reference below Debian-specific comment to hint that it is
    not verbatim copied.

  [ Alessio Treglia ]
  * debian/control: Add Provides: lv2-plugin field.

  [ Adrian Knoth ]
  * Imported Upstream version 0.0.18.6
  * Bump standards version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 24 Aug 2010 17:28:19 +0200

=== debian/control ===
Source: calf
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>, Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs, libtool,
 autotools-dev,
 debhelper,
 dh-buildinfo,
 libglib2.0-dev,
 libgtk2.0-dev,
 libreadline-dev,
 libexpat1-dev,
 libasound2-dev [linux-any],
 ladspa-sdk,
 dssi-dev,
 libjack-dev,
 lv2-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://calf.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/calf.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/calf.git;a=summary

Package: calf-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: lv2-plugin
Description: pack of audio plugins - effects and instruments
 The Calf project aims at providing a set of high quality open source 
 audio plugins for musicians. All the included plugins are designed to 
 be used with multitrack software, as software replacement for 
 instruments and guitar stomp boxes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009 Adrian Knoth <adi@drcomp.erfurt.thur.de>
# Copyright © 2010, 2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for calf
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

DEB_UPSTREAM_URL = http://downloads.sourceforge.net/calf

# Avoid useless linking
LDFLAGS += -Wl,--as-needed

# put aside upstream-shipped temp files during build but after copyright-check
upstreamtmpfiles = calf.desktop
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file ] || [ -e $$file.upstream ] || mv $$file $$file.upstream; \
	done
	touch $@
clean::
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
	done
	rm -f debian/stamp-upstreamtmpstuff

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , libglib2.0-dev, libgtk2.0-dev, libreadline-dev, libexpat1-dev
CDBS_BUILD_DEPENDS += , libasound2-dev [linux-any]
CDBS_BUILD_DEPENDS += , ladspa-sdk, dssi-dev, libjack-dev, lv2-dev
CDBS_BUILD_DEPENDS += , libtool

## calf 0.0.19

=== debian/changelog ===
calf (0.0.19-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Add git URL as alternate source.
  * Build-depend on dh-buildinfo: Backports- and multiarch-friendly
    nowadays.
  * Do copyright-check by default: Backports-friendly nowadays.
    Build-depend on devscripts.
  * Simplify moving aside upstream cruft.
    Tighten build-dependency on cdbs.
    Fix use pseudo-comment sections in copyright file to obey silly
    restrictions of copyright format 1.0.
  * Bump packaging license to GPL-3+, and extend coverage to include
    current year.
  * Have git-buildpackage ignore upstream .gitignore files.
  * Enable build of experimental plugins.
  * Rewrite short and long descriptions, based on About page of recently
    added documentation.
  * Suggest ladish, and add hint in long description on when it is
    useful.
  * Fix build-depend explicitly on libcairo2-dev, and fix recommend
    gtk2-engines-pixbuf: Both needed since 0.0.19.
  * Fix stop build-depend on ladspa-sdk or dssi-dev: Unused since
    0.0.19.
  * Drop obsolete and unused patches.
  * Simplify patch 1002 to not include autogenerated file.

  [ Adrian Knoth ]
  * Bump standards version
  * Drop obsolete DMUA flag
  * Put aside upstream-shipped configure
  * Generate configure during build process
  * Build-depend on libtool (Closes: #702613)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 08 Aug 2013 18:08:47 +0200

calf (0.0.19-1) experimental; urgency=low

  * New upstream release.
  * Depends on libfftw3-dev and libfluidsynth-dev.
  * Remove patches which doesn't seem to be useful anymore.
  * Rewrite patch to use lv2-dev rather than dummy lv2core.
  * Empty the dependency_libs field in .la file.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 19 Nov 2012 18:50:19 -0500

=== debian/control ===
Source: calf
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jonas Smedegaard <dr@jones.dk>,
 Tiago Bortoletto Vaz <tiago@debian.org>
Build-Depends: cdbs (>= 0.4.106~),
 autotools-dev,
 devscripts,
 autoconf,
 debhelper,
 dh-buildinfo,
 libglib2.0-dev,
 libgtk2.0-dev,
 libreadline-dev,
 libexpat1-dev,
 libjack-dev,
 libfftw3-dev,
 libfluidsynth-dev,
 libcairo2-dev,
 libasound2-dev [linux-any],
 lv2-dev,
 libtool
Standards-Version: 3.9.4
Homepage: http://calf.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/calf.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/calf.git;a=summary

Package: calf-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gtk2-engines-pixbuf
Suggests: ladish
Provides: lv2-plugin
Description: Calf Studiogear - audio effects and sound generators
 The Calf plugins include all todays frequently used studio effects
 along with some feature-rich sound processors.
 .
 Calf Studiogear is designed to run under the most flexible plugin
 standard in Linux, namely LV2. So you're able to insert them in lots of
 plugin-capable audio software like Ardour, Rosegarden and others.
 .
 The Calf Rack offers you all Calf effects and synthesizers in an
 easy-to-use studio rack. Wire the effects trough Jack to build your own
 studio environment and trigger the sound processors live or through a
 MIDI sequencer or tracker.
 .
 Calf Rack supports LADISH level 1.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009 Adrian Knoth <adi@drcomp.erfurt.thur.de>
# Copyright © 2010, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for calf
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_AUTO_UPDATE_AUTOCONF = 2.69

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_URL = http://downloads.sourceforge.net/calf

# Needed by upstream build process
libdev-deps = glib2.0 gtk2.0 readline expat1 jack fftw3 fluidsynth cairo2
deps = $(patsubst %,$(comma) lib%-dev,$(libdev-deps))
deps +=, libasound2-dev [linux-any], lv2-dev
deps +=, libtool

CDBS_BUILD_DEPENDS +=, $(deps)

# enable experimental plugins
DEB_CONFIGURE_EXTRA_FLAGS += --enable-experimental

# Avoid useless linking
LDFLAGS += -Wl,--as-needed

# put aside upstream-shipped temp files during build but after copyright-check
DEB_UPSTREAM_CRUFT_MOVE = calf.desktop configure

install/calf-plugins::
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

## calf 0.0.19+git20131202

=== debian/changelog ===
calf (0.0.19+git20131202-1) unstable; urgency=low

  * Imported Upstream version 0.0.19+git20131202

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 02 Dec 2013 22:23:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  autotools-dev,
  devscripts,
  autoconf,
+ dh-autoreconf,
  debhelper,
  dh-buildinfo,
  libglib2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/calf
@@ -41,7 +42,7 @@
 LDFLAGS += -Wl,--as-needed
 
 # put aside upstream-shipped temp files during build but after copyright-check
-DEB_UPSTREAM_CRUFT_MOVE = calf.desktop configure
+DEB_UPSTREAM_CRUFT_MOVE = calf.desktop configure INSTALL
 
 install/calf-plugins::
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

## calf 0.0.19+git20140527+e79ddef54

=== debian/changelog ===
calf (0.0.19+git20140527+e79ddef54-1) unstable; urgency=medium

  [ Adrian Knoth ]
  * Imported Upstream version 0.0.19+git20140527+e79ddef54
  * Bump standards version
  * Fix typo in package description (Closes: #745285)
  * Regenerate control

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 27 May 2014 20:48:47 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Jonas Smedegaard <dr@jones.dk>,
  Tiago Bortoletto Vaz <tiago@debian.org>
 Build-Depends: cdbs (>= 0.4.106~),
- autotools-dev,
  devscripts,
  autoconf,
  dh-autoreconf,
@@ -23,7 +22,7 @@
  libasound2-dev [linux-any],
  lv2-dev,
  libtool
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://calf.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/calf.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/calf.git;a=summary
@@ -43,7 +42,7 @@
  plugin-capable audio software like Ardour, Rosegarden and others.
  .
  The Calf Rack offers you all Calf effects and synthesizers in an
- easy-to-use studio rack. Wire the effects trough Jack to build your own
+ easy-to-use studio rack. Wire the effects through Jack to build your own
  studio environment and trigger the sound processors live or through a
  MIDI sequencer or tracker.
  .

## calf 0.0.19+git20140915+5de5da28

=== debian/changelog ===
calf (0.0.19+git20140915+5de5da28-1) unstable; urgency=medium

  * Imported Upstream version 0.0.19+git20140915+5de5da28 (Closes: #759833)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 15 Sep 2014 22:19:42 +0200

## calf 0.0.60

=== debian/changelog ===
calf (0.0.60-2) unstable; urgency=medium

  * Extract metadata from images before copyright check.
    Build-depend on libimage-exiftool-perl libregexp-assemble-perl
    libipc-system-simple-perl lcdf-typetools.
  * Update Vcs-Git and Vcs-Browser URLs.
  * Update copyright info:
    + Fix extend coverage for main upstream authors
    + Fix bump packaging license to GPL-3+.
    + Fix update Files sections for autotools scripts and LV2 headers.
    + Fix add Files sections for jQuery-related code, and License
      sections ISC Expat.
    + Merge same-license Files sections.
    + Extend coverage of packaging.
    + Use License short-names FSFUL (and derivations) and X11.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Unfuzz patch 1002, and tidy its DEP-3 header.
  * Revive documentation (gutted in 0.0.60-1):
    + Add patch 1001 to resolve paths from autoconf.
    + Add patch 2001 to use jQuery.colorbox (not jQuery.prettyPhoto).
    + Adjust location of documentation.
    + Symlink separately packaged Javascript.
    + (Build-)depend on libjs-jquery libjs-jquery-colorbox.
    + Stop strip documentation (now DFSG compliant).
    + Put aside and regenerate autotools during build.
    + Stop include autoreconf.mk.
    + Stop build-depend on dh-autoreconf.
    + Tighten build-dependency on cdbs: Needed for routines to put
      upstream autotools files aside during build.
  * Update Homepage.
  * Update source URLs.
  * Declare compliance with Debian Policy 3.9.7.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Fix rename TODO file got get included in binary package, and drop
    done items.
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Override lintian for jquery.prettyPhoto.js missing source: False
    positive.
  * Enable SSE flags for AMD64.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Mar 2016 11:23:34 +0100

calf (0.0.60-1) unstable; urgency=low

  [ Aurelien Martin ]
  * Imported Upstream version 0.0.60 (Closes: #783413)

  [ Adrian Knoth ]
  * Drop /usr/share/doc/calf/ to work around lintian errors

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 07 May 2015 14:42:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Jonas Smedegaard <dr@jones.dk>,
  Tiago Bortoletto Vaz <tiago@debian.org>
-Build-Depends: cdbs (>= 0.4.106~),
+Build-Depends: cdbs (>= 0.4.123~),
+ autotools-dev,
  devscripts,
+ automake,
  autoconf,
- dh-autoreconf,
  debhelper,
  dh-buildinfo,
  libglib2.0-dev,
@@ -21,15 +22,21 @@
  libcairo2-dev,
  libasound2-dev [linux-any],
  lv2-dev,
- libtool
-Standards-Version: 3.9.5
-Homepage: http://calf.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/calf.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/calf.git;a=summary
+ libtool,
+ libimage-exiftool-perl,
+ libregexp-assemble-perl,
+ libipc-system-simple-perl,
+ lcdf-typetools,
+ libjs-jquery,
+ libjs-jquery-colorbox
+Standards-Version: 3.9.7
+Homepage: http://calf-studio-gear.org/
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/calf.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/calf.git
 
 Package: calf-plugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${cdbs:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: gtk2-engines-pixbuf
 Suggests: ladish
 Provides: lv2-plugin

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009 Adrian Knoth <adi@drcomp.erfurt.thur.de>
# Copyright © 2010, 2012-2014, 2016 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for calf
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOCONF = ,
DEB_AUTO_UPDATE_AUTOHEADER = ,
DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_AUTO_UPDATE_AUTOMAKE = ,

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = calf-plugins
docdir = /usr/share/calf/doc

DEB_UPSTREAM_URL = https://github.com/calf-studio-gear/calf/archive
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# Needed by upstream build process
libdev-deps = glib2.0 gtk2.0 readline expat1 jack fftw3 fluidsynth cairo2
deps = $(patsubst %,$(comma) lib%-dev,$(libdev-deps))
deps +=, libasound2-dev [linux-any], lv2-dev
deps +=, libtool

CDBS_BUILD_DEPENDS +=, $(deps)

# extract metadata from images before copyright check
CDBS_BUILD_DEPENDS +=, libimage-exiftool-perl, libregexp-assemble-perl
CDBS_BUILD_DEPENDS +=, libipc-system-simple-perl, lcdf-typetools
local_inspection_regex = png|jpg
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((.*/)?[^/]+\.($(local_inspection_regex))|debian/(changelog|copyright(|_hints|_newhints)))$$
debian/stamp-copyright-check: debian/stamp-extract-copyright
debian/stamp-extract-copyright:
	find * -type f -regextype posix-extended \
		-regex '.*\.($(local_inspection_regex))' \
		-print0 | perl -0 debian/print-metadata.pl
	touch $@
pre-build:: clean-extracted-copyright-during-build
clean-extracted-copyright-during-build: debian/stamp-copyright-check
	find -type f -name '*.metadata_dump' -delete
clean::
	find -type f -name '*.metadata_dump' -delete
	rm -f debian/stamp-extract-copyright

# put aside upstream-shipped temp files during build but after copyright-check
DEB_UPSTREAM_CRUFT_MOVE = calf.desktop configure INSTALL \
 Makefile.in $(patsubst %,%/Makefile.in,gui gui/icons/LV2 icons src src/calf) \
 aclocal.m4 \
 config.guess config.sub \
 compile \
 config.h.in \
 depcomp \
 install-sh \
 ltmain.sh \
 missing
DEB_ACLOCAL_ARGS = -Im4 --install --force
DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign --force
clean::
	rm -rf m4

# adjust location of documentation
DEB_CONFIGURE_EXTRA_FLAGS += --docdir=$(docdir)

ifneq "$(filter amd64, $(DEB_HOST_ARCH_CPU))" ""
	DEB_CONFIGURE_EXTRA_FLAGS += --enable-sse
endif

# enable experimental plugins
DEB_CONFIGURE_EXTRA_FLAGS += --enable-experimental

# Avoid useless linking
LDFLAGS += -Wl,--as-needed

install/$(pkg)::
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

# use separately packaged Javascript
CDBS_BUILD_DEPENDS +=, libjs-jquery, libjs-jquery-colorbox
CDBS_DEPENDS_$(pkg) = libjs-jquery, libjs-jquery-colorbox
binary-post-install/$(pkg)::
#	rm -f $(cdbs_curdestdir)$(docdir)/scripts/jquery.js
	ln -fsT ../../../javascript/jquery/jquery.min.js \
		$(cdbs_curdestdir)$(docdir)/scripts/jquery.js
#	rm -f $(cdbs_curdestdir)$(docdir)/scripts/jquery.prettyPhoto.js
	ln -fsT ../../../javascript/jquery-colorbox/jquery.colorbox-min.js \
		$(cdbs_curdestdir)$(docdir)/scripts/jquery.prettyPhoto.js
	ln -fsT ../../calf/doc \
		$(cdbs_curdestdir)usr/share/doc/$(pkg)/html

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
https://github.com/calf-studio-gear/calf/tags .*/archive/(\d.*).tar.gz
